<?php

namespace Hura8\Components\Marketing\AdminController;

use Hura8\Components\Marketing\Controller\bCouponController;
use Hura8\Interfaces\iEntityAdminController;
use Hura8\Traits\AdminEntityBaseControllerTraits;

class ACouponController extends bCouponController implements iEntityAdminController
{

    use AdminEntityBaseControllerTraits;


    public function updateProduct($product_id, $coupon_id, array $info)
    {
        return $this->objCouponModel->updateProduct($product_id, $coupon_id, $info);
    }


    public function removeProduct($product_id, $coupon_id)
    {
        return $this->objCouponModel->removeProduct($product_id, $coupon_id);
    }


    public function addProduct($product_id, $coupon_id, $ordering=0)
    {
        return $this->objCouponModel->addProduct($product_id, $coupon_id, $ordering);
    }


    protected function deleteFileBeforeDeleteItem($item_id): bool
    {
        // TODO: Implement deleteFileBeforeDeleteItem() method.
        return true;
    }


}
